Bug 510411 - KMS gives no output without monitor at boot
KMS gives no output without monitor at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 02:55 EDT by Pierre Ossman
Modified: 2013-04-02 00:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (903 bytes, text/plain)
2009-10-06 12:04 EDT, Ted Kessler
no flags Details
Xorg.0.log (6.97 KB, text/plain)
2009-10-06 12:06 EDT, Ted Kessler
no flags Details
dmesg (24.32 KB, text/plain)
2009-10-06 12:06 EDT, Ted Kessler
no flags Details

  None (edit)
Description Pierre Ossman 2009-07-09 02:55:08 EDT
KMS is causing a lot of problems when used on a server. If there is no monitor present on boot then the driver won't activate any ports and you cannot get local access to the machine.

I expect KMS to behave similar to non-KMS, i.e. init with some sane defaults (like 800x600@60) on every output if it cannot find anything at boot. Or even better, automatically enable ports as I plug in monitors.
Comment 1 Matěj Cepl 2009-10-05 19:27:36 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ted Kessler 2009-10-06 12:04:40 EDT
Created attachment 363846 [details]
xorg.conf

Believe the same bug occurs if no xorg.conf present.
Comment 3 Ted Kessler 2009-10-06 12:06:03 EDT
Created attachment 363847 [details]
Xorg.0.log
Comment 4 Ted Kessler 2009-10-06 12:06:57 EDT
Created attachment 363848 [details]
dmesg
Comment 5 Matěj Cepl 2009-10-06 12:21:30 EDT
With

PCI:*(0:0:2:0) 8086:2572:1028:019d Intel Corporation 82865G Integrated Graphics Controller rev 2, Mem @ 0xe8000000/134217728, 0xfeb80000/524288, I/O @ 0x0000ed98/8, BIOS @ 0x????????/131072

we have

EE) intel(0): No modes.
(II) UnloadModule: "intel"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.
Comment 6 Pierre Ossman 2009-10-06 12:21:53 EDT
I have to apologize for being a bit unclear in my initial report. In my case
I'm not running X, only text mode. But since I'm running KMS, it does all the
monitor voodoo anyway which results in no output. And since there is no X, I
cannot press Ctrl-Alt-Backspace to get a working monitor.

I filed the bug under this component as it is the X guys who are hacking on the
KMS stuff. :)
Comment 7 Ray Strode [halfline] 2009-10-07 09:17:33 EDT
might be a plymouth bug.  if you delete (or move out of the way) /usr/lib64/plymouth/renderers/drm.so and then run:

sudo new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --install $(uname -r)

does the problem go away?
Comment 8 Ted Kessler 2009-10-07 11:03:45 EDT
I don't have the source available right now to recompile the kernel. Is there another way to disable plymouth?
Comment 9 Matěj Cepl 2009-10-07 11:26:55 EDT
(In reply to comment #8)
> I don't have the source available right now to recompile the kernel. Is there
> another way to disable plymouth?  

Get rid off words "rhgb quiet" from the kernel command line (in /boot/grub/menu.lst). Does it help?
Comment 10 Ted Kessler 2009-10-07 12:07:16 EDT
Taking out rhgb makes no difference. Something broke between kernels 2.6.29 and 2.6.30. This is a headless server and I telnet over a VPN into it, then run startx from the telnet session. Vino is enabled so I can then use VNC to access the X session on the server. "nomodeset" on grub.conf kernel command line.

Kernel     nomodeset   Boots-without-monitor  startx-succeeds-without-monitor 
  .29         Y                Y                    N
  .29         N                Y                    Y
  .30         Y                Y                    N
  .30         N                N                    N

Appears that kernel .30 cannot set mode unless a monitor is attached, while .29 was able to. startx appears to not work unless the mode is set. So my only option is to boot using kernel .29. Any ideas on a workaround?
Comment 11 Pierre Ossman 2009-10-07 12:50:55 EDT
First off, I'm using a ati cards so moving the bug report from ati to intel is probably not suitable. Either it is a common bug, or two separate.

I've done some testing here on my end, with the following results:

 - The situation is worse than originally though. Not only is the system dependent on a monitor being connected, but that monitor must also support DDC. Hooking up a non-DDC monitor has the same effect as having no monitor at all. As soon as KMS kicks in the screen goes blank.

 - Plymouth is not the culprit and turning it off has no effect.

So it would seem that the KMS code forgot to have a fallback set of modes when it could not get a list from the monitor.

(also, it would seem that Ted is running a newer Fedora as 2.6.27 is the kernel used on F10)
Comment 12 Ted Kessler 2009-10-07 13:51:16 EDT
I think Pierre is right. I'm running 11. Just updated another server with an ATI video card to kernel 2.6.30. It runs as before, allowing boot and startx without requiring an attached monitor. Issue seems to be with the intel video driver. Doing some research found that only the intel driver has modesetting support in kernel .29. Something broke going to .30.
Comment 13 Ray Strode [halfline] 2009-10-07 14:31:01 EDT
Would someone mind doing what's mentioned in comment 7?

There's no need to recompile the kernel, or take rhgb off the kernel command line.

I just want someone to run these two commands (as root):

mv /usr/lib*/plymouth/renderers/drm.so{,.bak}
new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --install
$(uname -r)

then reboot and report whether the problem goes away.
Comment 14 Ray Strode [halfline] 2009-10-07 14:32:19 EDT
oh disregard comment 7, and comment 13.  I missed that this is for F-10 and F-11, not rawhide.
Comment 16 Bug Zapper 2009-11-18 07:09:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 04:37:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.